## python-psutil 2.2.1

=== Makefile ===
# Shortcuts for various tasks (UNIX only).
# To use a specific Python version run:
# $ make install PYTHON=python3.3

# You can set these variables from the command line.
PYTHON    = python
TSCRIPT   = test/test_psutil.py

all: test

clean:
	rm -f `find . -type f -name \*.py[co]`
	rm -f `find . -type f -name \*.so`
	rm -f `find . -type f -name .\*~`
	rm -f `find . -type f -name \*.orig`
	rm -f `find . -type f -name \*.bak`
	rm -f `find . -type f -name \*.rej`
	rm -rf `find . -type d -name __pycache__`
	rm -rf *.egg-info
	rm -rf *\$testfile*
	rm -rf .tox
	rm -rf build
	rm -rf dist
	rm -rf docs/_build

build: clean
	$(PYTHON) setup.py build

install: build
	$(PYTHON) setup.py install --user; \

uninstall:
	cd ..; $(PYTHON) -m pip uninstall -y -v psutil; \

test: install
	$(PYTHON) $(TSCRIPT)

test-process: install
	$(PYTHON) -m unittest -v test.test_psutil.TestProcess

test-system: install
	$(PYTHON) -m unittest -v test.test_psutil.TestSystemAPIs

test-memleaks: install
	$(PYTHON) -m unittest -v test.test_memory_leaks

# Run a specific test by name; e.g. "make test-by-name disk_" will run
# all test methods containing "disk_" in their name.
# Requires "pip install nose".
test-by-name:
	@$(PYTHON) -m nose test/test_psutil.py --nocapture -v -m $(filter-out $@,$(MAKECMDGOALS))

# requires "pip install pep8"
pep8:
	@git ls-files | grep \\.py$ | xargs pep8

# requires "pip install pyflakes"
pyflakes:
	@export PYFLAKES_NODOCTEST=1 && \
		git ls-files | grep \\.py$ | xargs pyflakes

# requires "pip install flake8"
flake8:
	@git ls-files | grep \\.py$ | xargs flake8


# Upload source tarball on https://pypi.python.org/pypi/psutil.
upload-src: clean
	$(PYTHON) setup.py sdist upload

# Build and upload doc on https://pythonhosted.org/psutil/.
# Requires "pip install sphinx-pypi-upload".
upload-doc:
	cd docs; make html
	$(PYTHON) setup.py upload_sphinx --upload-dir=docs/_build/html

# git-tag a new release
git-tag-release:
	git tag -a release-`python -c "import setup; print(setup.get_version())"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
	echo "done; now run 'git push --follow-tags' to push the new tag on the remote repo"

## python-psutil 0.4.0

=== debian/changelog ===
python-psutil (0.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/python-psutil.examples
    - install examples
  * debian/rules
    - don't compress .py files

 -- Sandro Tosi <morph@debian.org>  Mon, 31 Oct 2011 08:47:46 +0100

python-psutil (0.3.0+r1123-1) unstable; urgency=low

  * New upstream SVN snapshot

 -- Sandro Tosi <morph@debian.org>  Tue, 20 Sep 2011 21:56:58 +0200

python-psutil (0.3.0+r1112-1) unstable; urgency=low

  * New upstream SVN snapshot
  * debian/rules
    - add 'get-orig-source' target

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Aug 2011 00:47:18 +0200

python-psutil (0.3.0-2) unstable; urgency=low

  * debian/rules
    - ignore (for now) tests error, so we can collect all of them
  * debian/source/format
    - switch to 3.0 (quilt) source format

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Aug 2011 17:55:06 +0200

python-psutil (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Aug 2011 17:29:35 +0200

python-psutil (0.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - extended packaging copyright years
  * debian/rules
    - use the correct PYTHONPATH when running tests, for all supported versions
  * debian/control
    - it now contains also extensions, so it's an arch:any package
    - move python-support from b-d-i to b-d
    - we now need python-all-dev in b-d
    - added procps to b-d, needed to run tests
  * debian/{control, pyversion}
    - removed pyversion, replaced by XS-P-V field

 -- Sandro Tosi <morph@debian.org>  Mon, 04 Apr 2011 20:26:42 +0200

python-psutil (0.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)
  * debian/python-psutil.doc-base
    - added doc-base

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Nov 2010 20:45:35 +0100

python-psutil (0.1.3-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
  * debian/rules
    - adjust tests list

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Mar 2010 23:27:55 +0100

python-psutil (0.1.2-2) unstable; urgency=low

  * debian/rules
    - fixed bashism in selecting tests to run; thanks to Raphael Geissert for
      the report; Closes: #535411
  * debian/control
    - bump Standards-Version to 3.8.2 (no changes needed)
    - bump b-d on debhelper to >= 7.2.18 to support Python 2.6 transition

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jul 2009 19:22:10 +0200

python-psutil (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #527594)

 -- Sandro Tosi <morph@debian.org>  Sat, 16 May 2009 09:17:55 +0200

=== debian/control ===
Source: python-psutil
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7.2.18), python-all-dev, python-support (>= 1.0.0), procps
Standards-Version: 3.9.2
XS-Python-Version: all
Homepage: http://code.google.com/p/psutil/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-psutil/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-psutil/trunk/

Package: python-psutil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: module providing convenience functions for managing processes
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.

=== debian/watch ===
version=3
#http://code.google.com/p/psutil/downloads/list http.*psutil-(.*)\.tar\.gz
http://psutil.googlecode.com/files/psutil-(.*)\.tar\.gz

## python-psutil 0.4.1

=== debian/changelog ===
python-psutil (0.4.1-1ubuntu1) precise; urgency=low

  * Merge with Debian unstable (LP: #913100).  Remaining Ubuntu changes:
    - Switch to dh_python2. (LP: #788514)

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 07 Jan 2012 13:18:54 +0100

python-psutil (0.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - fix to correctly scan google code

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Dec 2011 18:49:52 +0100

python-psutil (0.4.0-1ubuntu1) precise; urgency=low

  * Merge with Debian unstable (LP: #900001).  Remaining Ubuntu changes:
    - Switch to dh_python2. (LP: #788514)

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 04 Dec 2011 19:52:48 +0100

python-psutil (0.3.0+r1123-1ubuntu1) precise; urgency=low

  * Merge with Debian unstable.  Remaining Ubuntu changes:
    - Switch to dh_python2. (LP: #788514)

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 21 Oct 2011 18:08:54 -0400

python-psutil (0.2.1-1ubuntu1) oneiric; urgency=low

  * Switch to dh_python2. (LP: #788514)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 10 Aug 2011 14:47:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 7.2.18), python-all-dev, python-support (>= 1.0.0), procps
+Build-Depends: debhelper (>= 7.2.18), python-all-dev (>= 2.6.6-3~), procps
 Standards-Version: 3.9.2
-XS-Python-Version: all
 Homepage: http://code.google.com/p/psutil/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-psutil/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-psutil/trunk/

=== debian/rules ===
#!/usr/bin/make -f

PYVERS:=$(shell pyversions -s)

%:
	dh $@ --with python2

build:
	dh build

	# run tests
	-for test in test_memory_leaks.py test_psutil.py ;\
	do \
	    for python in $(PYVERS) ; do \
  	        echo "running "test/$$test" on "$$python ; \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib") ; \
	        PYTHONPATH=$$LIB $$python test/$$test ; \
	    done \
	done

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_installdocs:
	dh_installdocs -X.DS_Store

override_dh_compress:
	dh_compress -X.py

PACKAGE = python-psutil
SRC_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \(.*\)-.*/\1/')
SVN_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/svn//' )
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz

.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) http://psutil.googlecode.com/svn/trunk get-orig-source/$(PACKAGE)-$(SRC_VERSION)
	tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION)
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

## python-psutil 0.5.1

=== debian/changelog ===
python-psutil (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 29 Jun 2012 19:07:24 +0200

python-psutil (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/docs, python-psutil.doc-base
    - removed, docs no longer provided in the tarball
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Jun 2012 22:54:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 7.2.18), python-all-dev (>= 2.6.6-3~), procps
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.2.18), python-all-dev, python-support (>= 1.0.0), procps
+Standards-Version: 3.9.3
+XS-Python-Version: all
 Homepage: http://code.google.com/p/psutil/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-psutil/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-psutil/trunk/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYVERS:=$(shell pyversions -s)
 
 %:
-	dh $@ --with python2
+	dh $@
 
 build:
 	dh build

=== debian/watch ===
version=3
http://code.google.com/p/psutil/downloads/list //psutil.googlecode.com/files/psutil-(.*)\.tar\.gz

## python-psutil 0.6.1

=== debian/changelog ===
python-psutil (0.6.1-2ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch to dh_python2. (LP: #788514)

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 02 Jan 2013 14:32:50 +0100

python-psutil (0.6.1-2) experimental; urgency=low

  * debian/rules
    - refactor build and test targets
  * debian/{control, rules}
    - provide Python 3 package; Closes: #636526

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Aug 2012 21:52:43 +0200

python-psutil (0.6.1-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch to dh_python2. (LP: #788514)

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 19 Aug 2012 17:17:10 +0200

python-psutil (0.6.1-1) experimental; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Aug 2012 19:22:23 +0200

python-psutil (0.6.0-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/rules 
    - use hardening flags

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Aug 2012 21:58:48 +0200

python-psutil (0.5.1-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch to dh_python2. (LP: #788514)

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 02 Jul 2012 23:51:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 7.2.18), python-all-dev, python-support (>= 1.0.0), procps
+Build-Depends: debhelper (>= 7.2.18), python-all-dev (>= 2.6.6-3~), python3-all-dev, procps
 Standards-Version: 3.9.3
 XS-Python-Version: all
+X-Python3-Version: >= 3.2
 Homepage: http://code.google.com/p/psutil/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-psutil/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-psutil/trunk/
@@ -20,3 +22,16 @@
  ps, top and Windows task manager.
  .
  It currently supports Linux, OS X, FreeBSD and Windows.
+
+Package: python3-psutil
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: module providing convenience functions for managing processes (Python3)
+ psutil is a module providing an interface for retrieving information on
+ running processes and system utilization (CPU, memory) in a portable way
+ by using Python, implementing many functionalities offered by tools like
+ ps, top and Windows task manager.
+ .
+ It currently supports Linux, OS X, FreeBSD and Windows.
+ .
+ This package contains the Python 3 version of psutil.

=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,42 @@
 #!/usr/bin/make -f
 
-PYVERS:=$(shell pyversions -s)
+PY2VERS := $(shell pyversions -s)
+PY3VERS := $(shell py3versions -s)
+
+export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@
+	dh $@ --with python2,python3
 
-build:
-	dh build
+override_dh_auto_install:
+	set -e ; \
+	for python in $(PY2VERS); do \
+		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python-psutil; \
+	done
+	set -e ; \
+	for python in $(PY3VERS); do \
+		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil; \
+	done
 
+override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	# run tests
 	-for test in test_memory_leaks.py test_psutil.py ;\
 	do \
-	    for python in $(PYVERS) ; do \
+	    for python in $(PY2VERS) ; do \
   	        echo "running "test/$$test" on "$$python ; \
 		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib") ; \
 	        PYTHONPATH=$$LIB $$python test/$$test ; \
 	    done \
+	    for python in $(PY3VERS) ; do \
+  	        echo "running "test/$$test" on "$$python ; \
+		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
+	        PYTHONPATH=$$LIB $$python test/$$test ; \
+	    done \
 	done
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY

## python-psutil 1.1.3

=== debian/changelog ===
python-psutil (1.1.3-1) unstable; urgency=low

  * New upstream release; thanks to Barry Warsaw for the report; Closes: #729061

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Nov 2013 11:23:40 +0100

python-psutil (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Nov 2013 12:53:51 +0100

python-psutil (1.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - point download location to PyPI
  * debian/copyright
    - update download URL

 -- Sandro Tosi <morph@debian.org>  Sat, 12 Oct 2013 15:42:08 +0200

python-psutil (1.0.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * Upload to unstable
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Sep 2013 07:17:13 +0200

python-psutil (0.7.0-1) experimental; urgency=low

  * New upstream release
  * debian/rules
    - fix syntax error when executing the test suite; thanks to Julian Taylor
      for the report; Closes: #687316
  * debian/copyright
    - extended packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Apr 2013 19:28:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 7.2.18), python-all-dev (>= 2.6.6-3~), python3-all-dev, procps
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.2.18), python-all-dev, python3-all-dev, python-support (>= 1.0.0), procps
+Standards-Version: 3.9.4
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
 Homepage: http://code.google.com/p/psutil/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-psutil/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-psutil/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-psutil/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-psutil/trunk/
 
 Package: python-psutil
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@ --with python2,python3
+	dh $@ --with python3
 
 override_dh_auto_install:
 	set -e ; \
@@ -29,12 +29,12 @@
   	        echo "running "test/$$test" on "$$python ; \
 		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib") ; \
 	        PYTHONPATH=$$LIB $$python test/$$test ; \
-	    done \
+	    done ; \
 	    for python in $(PY3VERS) ; do \
   	        echo "running "test/$$test" on "$$python ; \
 		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
 	        PYTHONPATH=$$LIB $$python test/$$test ; \
-	    done \
+	    done ; \
 	done
 endif

## python-psutil 1.2.1

=== debian/changelog ===
python-psutil (1.2.1-1ubuntu2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 02:01:51 +0100

python-psutil (1.2.1-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Switch to dh_python2.
    - Build-depend on dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 16:28:04 +0100

python-psutil (1.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - extended packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jan 2014 12:22:23 +0100

python-psutil (1.1.3-1ubuntu2) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:32:34 +0000

python-psutil (1.1.3-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Switch to dh_python2.
  * Build-depend on dh-python.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 09 Dec 2013 16:39:32 -0500

python-psutil (1.1.1-1ubuntu1) trusty; urgency=low

  * Merge from Debian.  Remaining changes:
    - Switch to dh_python2.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 22 Oct 2013 15:50:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 7.2.18), python-all-dev, python3-all-dev, python-support (>= 1.0.0), procps
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7.2.18), python-all-dev, python3-all-dev, dh-python, procps
+Standards-Version: 3.9.5
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
 Homepage: http://code.google.com/p/psutil/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@ --with python3
+	dh $@ --with python2,python3
 
 override_dh_auto_install:
 	set -e ; \

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/psutil/psutil-(.*)\.tar.gz

## python-psutil 2.1.1

=== debian/changelog ===
python-psutil (2.1.1-1~nd80+1+nd90+1) stretch; urgency=low

  * Backported for stretch.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 29 Jun 2015 07:24:17 -0400

python-psutil (2.1.1-1~nd80+1) jessie; urgency=low

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 20 Oct 2014 13:10:41 -0400

python-psutil (2.1.1-1) unstable; urgency=medium

  * New upstream release; thanks to Barry Warsaw for the report; Closes: #741291
  * debian/rules
    - remove obsolete get-orig-source target
    - build explicitly else the upstream Makefile is used
  * Switch to dh_python2; Closes: #637382
  * debian/copyright
    - switch to DEP-5 format
  * debian/control
    - switch me to Maintainer (team to Uploaders)
  * debian/{control, rules}
    - build and install documentation
  * debian/python-psutil.doc-base
    - added Doc base registration
  * debian/patches/remove-google-analytics.patch
    - remove Google Analytics tracking from documentation

 -- Sandro Tosi <morph@debian.org>  Sun, 04 May 2014 22:59:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 7.2.18), python-all-dev, python3-all-dev, dh-python, procps
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 7.2.18), python-all-dev, python3-all-dev, dh-python, procps, python-sphinx (>= 1.0.7+dfsg)
 Standards-Version: 3.9.5
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
@@ -14,7 +14,7 @@
 
 Package: python-psutil
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: module providing convenience functions for managing processes
  psutil is a module providing an interface for retrieving information on
  running processes and system utilization (CPU, memory) in a portable way
@@ -25,7 +25,7 @@
 
 Package: python3-psutil
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: module providing convenience functions for managing processes (Python3)
  psutil is a module providing an interface for retrieving information on
  running processes and system utilization (CPU, memory) in a portable way

## python-psutil 2.2.1

=== debian/changelog ===
python-psutil (2.2.1-3) unstable; urgency=medium

  * upload to unstable; Closes: #794679

 -- Sandro Tosi <morph@debian.org>  Fri, 14 Aug 2015 21:41:57 +0100

python-psutil (2.2.1-2) experimental; urgency=medium

  * debian/{control, rules}
    - provide -dbg packages
  * provide -doc package

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Feb 2015 16:38:21 +0000

python-psutil (2.2.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - use PyPI redirector
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Feb 2015 20:27:15 +0000

python-psutil (2.2.0-1) experimental; urgency=medium

  * New upstream release
    - fix file descriptors leakage; thanks to Marc Leeman; Closes: #772543
  * debian/control
    - update Homepage to github
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/rules
    - update upstream changelog
    - install README.rst file in doc too

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Jan 2015 23:25:58 +0000

=== debian/control ===
Source: python-psutil
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.2.18), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.6
XS-Python-Version: all
X-Python3-Version: >= 3.2
Homepage: https://github.com/giampaolo/psutil
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-psutil/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-psutil/trunk/

Package: python-psutil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-psutil-doc
Description: module providing convenience functions for managing processes
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.

Package: python-psutil-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, python-psutil (= ${binary:Version}), python-dbg, ${shlibs:Depends}
Description: module providing convenience functions for managing processes (debug)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the debug extension for python-psutil.

Package: python3-psutil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Suggests: python-psutil-doc
Description: module providing convenience functions for managing processes (Python3)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the Python 3 version of psutil.

Package: python3-psutil-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, python3-psutil (= ${binary:Version}), python3-dbg, ${shlibs:Depends}
Description: module providing convenience functions for managing processes (Python3 debug)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the debug extension for python3-psutil-.

Package: python-psutil-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: module providing convenience functions for managing processes (doc)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the documentation for psutil.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS := $(shell pyversions -s)
PY3VERS := $(shell py3versions -s)

export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	set -e ; \
	for python in $(PY2VERS) $(PY3VERS); do \
		$$python setup.py build; \
	done
	$(MAKE) -C docs html

override_dh_auto_install:
	set -e ; \
	for python in $(PY2VERS); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python-psutil; \
		$$python-dbg setup.py install --install-layout=deb --root $(CURDIR)/debian/python-psutil-dbg; \
	done
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil; \
		$$python-dbg setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil-dbg; \
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# run tests
	-for test in test_memory_leaks.py test_psutil.py ;\
	do \
	    for python in $(PY2VERS) $(PY3VERS); do \
  	        echo "running "test/$$test" on "$$python ; \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
	        PYTHONPATH=$(CURDIR)/$$LIB $$python test/$$test ; \
  	        echo "running "test/$$test" on "$$python-dbg ; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
	        PYTHONPATH=$(CURDIR)/$$LIB $$python-dbg test/$$test ; \
	    done ; \
	done
endif

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_installdocs:
	dh_installdocs -X.DS_Store
	dh_installdocs -ppython-psutil-doc docs/_build/html README.rst

override_dh_compress:
	dh_compress -X.py

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-psutil --dbg-package=python-psutil-dbg
	dh_strip -ppython3-psutil --dbg-package=python3-psutil-dbg
endif

## python-psutil 3.4.2

=== debian/changelog ===
python-psutil (3.4.2-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: double-free via refcount mishandling
    - debian/patches/CVE-2019-18874-1.patch: use Py_CLEAR instead of
      Py_DECREF in psutil/_psutil_linux.c.
    - debian/patches/CVE-2019-18874-2.patch: use Py_CLEAR instead of
      Py_DECREF in psutil/_psutil_posix.c.
    - CVE-2019-18874

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Nov 2019 10:19:27 -0500

python-psutil (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - redirect Vcs-Git to https

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Feb 2016 22:23:04 +0000

python-psutil (3.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - add ipaddress and mock to b-d (needed by tests)
  * bump dh compat to 9

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Jan 2016 21:03:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.2.18), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python-sphinx (>= 1.0.7+dfsg)
+Build-Depends: debhelper (>= 9), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python-sphinx (>= 1.0.7+dfsg), python-ipaddress, python-mock
 Standards-Version: 3.9.6
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/giampaolo/psutil
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-psutil/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-psutil/trunk/
+Vcs-Git: https://anonscm.debian.org/python-modules/packages/python-psutil.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-psutil.git
 
 Package: python-psutil
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 PY2VERS := $(shell pyversions -s)
 PY3VERS := $(shell py3versions -s)
-
-export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
-export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@ --with python2,python3,sphinxdoc

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/psutil/psutil-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-psutil 4.1.0

=== Makefile ===
# Shortcuts for various tasks (UNIX only).
# To use a specific Python version run:
# $ make install PYTHON=python3.3

# You can set these variables from the command line.
PYTHON    = python
TSCRIPT   = psutil/tests/runner.py

all: test

clean:
	rm -f `find . -type f -name \*.py[co]`
	rm -f `find . -type f -name \*.so`
	rm -f `find . -type f -name \*.~`
	rm -f `find . -type f -name \*.orig`
	rm -f `find . -type f -name \*.bak`
	rm -f `find . -type f -name \*.rej`
	rm -rf `find . -type d -name __pycache__`
	rm -rf *.core
	rm -rf *.egg-info
	rm -rf *\$testfile*
	rm -rf .coverage
	rm -rf .tox
	rm -rf build
	rm -rf dist
	rm -rf docs/_build
	rm -rf htmlcov

build: clean
	$(PYTHON) setup.py build
	@# copies *.so files in ./psutil directory in order to allow
	@# "import psutil" when using the interactive interpreter from within
	@# this directory.
	$(PYTHON) setup.py build_ext -i

# useful deps which are nice to have while developing / testing
setup-dev-env: install-git-hooks
	python -c  "import urllib2, ssl; \
				context = ssl._create_unverified_context() if hasattr(ssl, '_create_unverified_context') else None; \
				kw = dict(context=context) if context else {}; \
				r = urllib2.urlopen('https://bootstrap.pypa.io/get-pip.py', **kw); \
				open('/tmp/get-pip.py', 'w').write(r.read());"
	$(PYTHON) /tmp/get-pip.py --user
	rm /tmp/get-pip.py
	$(PYTHON) -m pip install --user --upgrade pip
	$(PYTHON) -m pip install --user --upgrade \
		coverage  \
		flake8 \
		ipaddress \
		ipdb \
		mock==1.0.1 \
		nose \
		pep8 \
		pyflakes \
		sphinx \
		sphinx-pypi-upload \
		unittest2 \

install: build
	$(PYTHON) setup.py develop --user

uninstall:
	cd ..; $(PYTHON) -m pip uninstall -y -v psutil

test: install
	$(PYTHON) $(TSCRIPT)

test-process: install
	$(PYTHON) -m unittest -v psutil.tests.test_process

test-system: install
	$(PYTHON) -m unittest -v psutil.tests.test_system

test-memleaks: install
	$(PYTHON) psutil/tests/test_memory_leaks.py

# Run a specific test by name; e.g. "make test-by-name disk_" will run
# all test methods containing "disk_" in their name.
# Requires "pip install nose".
test-by-name: install
	@$(PYTHON) -m nose psutil/tests/*.py --nocapture -v -m $(filter-out $@,$(MAKECMDGOALS))

# Run specific platform tests only.
test-platform: install
	$(PYTHON) psutil/tests/test_`$(PYTHON) -c 'import psutil; print([x.lower() for x in ("LINUX", "BSD", "OSX", "SUNOS", "WINDOWS") if getattr(psutil, x)][0])'`.py

# Same as above but for test_memory_leaks.py script.
test-memleaks-by-name: install
	@$(PYTHON) -m nose test/test_memory_leaks.py --nocapture -v -m $(filter-out $@,$(MAKECMDGOALS))

coverage: install
	# Note: coverage options are controlled by .coveragerc file
	rm -rf .coverage htmlcov
	$(PYTHON) -m coverage run $(TSCRIPT)
	$(PYTHON) -m coverage report
	@echo "writing results to htmlcov/index.html"
	$(PYTHON) -m coverage html
	$(PYTHON) -m webbrowser -t htmlcov/index.html

pep8:
	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m pep8

pyflakes:
	@export PYFLAKES_NODOCTEST=1 && \
		git ls-files | grep \\.py$ | xargs $(PYTHON) -m pyflakes

flake8:
	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m flake8

# Upload source tarball on https://pypi.python.org/pypi/psutil.
upload-src: clean
	$(PYTHON) setup.py sdist upload

# Build and upload doc on https://pythonhosted.org/psutil/.
# Requires "pip install sphinx-pypi-upload".
upload-doc:
	cd docs; make html
	$(PYTHON) setup.py upload_sphinx --upload-dir=docs/_build/html

# git-tag a new release
git-tag-release:
	git tag -a release-`python -c "import setup; print(setup.get_version())"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
	git push --follow-tags

# install GIT pre-commit hook
install-git-hooks:
	ln -sf ../../.git-pre-commit .git/hooks/pre-commit
	chmod +x .git/hooks/pre-commit

=== debian/changelog ===
python-psutil (4.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 09 Jun 2016 18:50:12 -0400

python-psutil (4.1.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/python-psutil-doc.examples
    - install examples from 'scripts' directory
  * debian/rules
    - run build also for the debug flavor
    - run unittests via runner.py
  * debian/control
    - bump Standards-Version t0 3.9.7 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Apr 2016 20:41:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python-sphinx (>= 1.0.7+dfsg), python-ipaddress, python-mock
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/giampaolo/psutil
-Vcs-Git: https://anonscm.debian.org/python-modules/packages/python-psutil.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-psutil.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-psutil.git
 
 Package: python-psutil

## python-psutil 4.2.0

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,7 @@
 		nose \
 		pep8 \
 		pyflakes \
+		requests \
 		sphinx \
 		sphinx-pypi-upload \
 		unittest2 \
@@ -126,3 +127,11 @@
 install-git-hooks:
 	ln -sf ../../.git-pre-commit .git/hooks/pre-commit
 	chmod +x .git/hooks/pre-commit
+
+# download exes/wheels hosted on appveyor
+win-download-exes:
+	$(PYTHON) .ci/appveyor/download_exes.py --user giampaolo --project psutil
+
+# upload exes/wheels in dist/* directory to PYPI
+win-upload-exes:
+	$(PYTHON) -m twine upload dist/*

=== debian/changelog ===
python-psutil (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version t0 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2016 21:14:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python-sphinx (>= 1.0.7+dfsg), python-ipaddress, python-mock
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/giampaolo/psutil
